#include "notesprite.h"

NoteSprite::NoteSprite() :
    _state(State::DETACHED),
    _attached(false)
{}

void NoteSprite::attach() noexcept
{
    _attached = true;
}

void NoteSprite::detach() noexcept
{
    _attached = false;
}

void NoteSprite::initState(State nextState) noexcept
{
    _state = nextState;
}
